CVE-2019-14532

NameCVE-2019-14532
DescriptionAn issue was discovered in The Sleuth Kit (TSK) 4.6.6. There is an off-by-one overwrite due to an underflow on tools/hashtools/hfind.cpp while using a bogus hash table.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
sleuthkit (PTS)jessie4.1.3-4vulnerable
jessie (security)4.1.3-4+deb8u1vulnerable
stretch4.4.0-5vulnerable
buster4.6.5-1vulnerable
bullseye, sid4.6.7-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
sleuthkitsource(unstable)(unfixed)unimportant

Notes

https://github.com/sleuthkit/sleuthkit/issues/1575
Negligible security impact

Search for package or bug name: Reporting problems